Page MenuHomePhabricator

Add support for QRMedia
Closed, ResolvedPublic

Description

Information available,

Needs,

  1. Project description
  2. Add message documentation
  3. Provide push access to User: https://framagit.org/translatewiki

Event Timeline

abi_ created this task.Feb 27 2020, 8:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2020, 8:47 AM
abi_ triaged this task as Medium priority.Feb 27 2020, 8:48 AM
abi_ moved this task from Backlog to New projects for translation on the translatewiki.net board.
abi_ added a comment.Mar 3 2020, 7:33 AM

@Sylvain_WMFr : Can you please ensure that the user - https://framagit.org/translatewiki has push access to the repository? This is a blocker, once this is provided, we will go ahead and add the project to translatewiki.net.

Also please check the other items in the needs section.

Sylvain_WMFr added a comment.EditedMar 3 2020, 9:56 AM

Hi, it is done for the push access.

For the project description: "QRMedia is a QR code generator to Wikidata items, that redirects to a portal in the visitor's language. The portal displays content from all the relevant Wikimedia projects on the topic, with a visual style similar to the Wikipedia mobile app."

For message documentation: I'm not sure what is expected/useful. Can you please provide some examples?

Change 577057 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Add support for QRmedia project

https://gerrit.wikimedia.org/r/577057

Change 577057 merged by jenkins-bot:
[translatewiki@master] Add support for QRmedia project

https://gerrit.wikimedia.org/r/577057

Change 577251 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Add QRmedia to TranslateGroupFiles

https://gerrit.wikimedia.org/r/577251

Change 577251 merged by jenkins-bot:
[translatewiki@master] Add QRmedia to TranslateGroupFiles

https://gerrit.wikimedia.org/r/577251

Change 577464 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Add framagit to known_hosts

https://gerrit.wikimedia.org/r/577464

Change 577464 merged by jenkins-bot:
[translatewiki@master] Add framagit to known_hosts

https://gerrit.wikimedia.org/r/577464

(Note re: the description of the task: QRmedia is under GNU AGPL v3, not GNU GPL.)

abi_ added a comment.Mar 6 2020, 1:39 PM

(Note re: the description of the task: QRmedia is under GNU AGPL v3, not GNU GPL.)

Thanks, I've updated this.

We've imported all messages from the project into translatewiki, but are facing some issues during exports of the translated string.

For message documentation: I'm not sure what is expected/useful. Can you please provide some examples?

This is documentation regarding the context of where messages are used. Here's some more information regarding this. You can add documentation via translatewiki itself by following this link.

abi_ claimed this task.Mar 6 2020, 1:39 PM
abi_ updated the task description. (Show Details)
abi_ closed this task as Resolved.Mar 10 2020, 9:13 AM

@Sylvain_WMFr - Translations were pushed out today. Please let us know if there are any issues.